<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty loop block plugin
 *
 * Type:     loop function<br>
 * Name:     loop<br>
 * Purpose:  generic looping block
 */
function smarty_block_loop($params, $content, &$this, &$repeat)
   {
   // accept only 'name', 'from', 'to' and 'item' as params

   $name = $params['name'];
   $from = $params['from'];
   $to   = $params['to'];
   $item = $params['item'];

   if ($this->block_loop[$name]['looping'] == True)
      {
      $current = $this->block_loop[$name]['current'];
      }
   else
      {
      $this->block_loop[$name]['looping'] = True;
      $this->block_loop[$name]['from'] = $from;
      $this->block_loop[$name]['to'] = $to;
      $this->block_loop[$name]['item'] = $item;
      $this->block_loop[$name]['current'] = $from;
      $current = --$from;
      }
   $current++;
   $this->assign($item, $current);
   $this->block_loop[$name]['current'] = $current;

   $repeat = ($current <= $to) ? True : False;
   $this->block_loop[$name]['looping']  = ($current <= $to) ? True : False;

   return $content;
   }

?>